---
title: RTCTrackEvent.track
slug: Web/API/RTCTrackEvent/track
tags:
  - API
  - Media
  - Property
  - RTCTrackEvent
  - RTP
  - Read-only
  - Reference
  - Streams
  - WebRTC
  - WebRTC API
  - events
  - track
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a> interface {{domxref("RTCTrackEvent")}}'s read-only <strong><code>track</code></strong> property specifies the {{domxref("MediaStreamTrack")}} that has been added to the {{domxref("RTCPeerConnection")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>track</em> = <em>trackEvent</em>.track;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaStreamTrack")}} indicating the track which has been added to the {{domxref("RTCPeerConnection")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtctrackevent-track', 'RTCTrackEvent.track')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEvent.track")}}</p>
